Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model Java API Reference 10g Release 3 (10.1.3) B25778-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.adf.model.binding
Class PermissionHelper

`java.lang.Object
oracle.adf.model.binding.PermissionHelper`

public class PermissionHelper
extends java.lang.Object

Field Summary
`static int` | `ATTRIBUTE_PERMISSION`
`static java.lang.String` | `CREATE_ACTION`
`static java.lang.String` | `DELETE_ACTION`
`static java.lang.String` | `EDIT_ACTION`
`static java.lang.String` | `INVOKE_ACTION`
`static int` | `METHOD_PERMISSION`
`static java.lang.String` | `READ_ACTION`
`static int` | `REGION_PERMISSION`
`static int` | `ROWSET_PERMISSION`
`static java.lang.String` | `UPDATE_ACTION`
`static java.lang.String` | `VIEW_ACTION`
`static java.lang.String` | `WRITE_ACTION`

Constructor Summary
`PermissionHelper()`

Method Summary
`static java.lang.Object` | `createPermissionInstance(java.lang.String permClassName, java.lang.String target, java.lang.String actions)`
`static java.lang.String` | `getPermissionClassName(int id)`
`static java.lang.String` | `getReadAction(java.lang.String permClass)`
`static boolean` | `hasPermission(oracle.adf.share.security.SecurityContext secCtx, java.security.Permission permission)`
`static boolean` | `hasPermission(oracle.adf.share.security.SecurityContext secCtx, java.lang.String target, java.lang.String actions)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ATTRIBUTE_PERMISSION

    public static final int ATTRIBUTE_PERMISSION

  See Also:
    Constant Field Values

### ROWSET_PERMISSION

    public static final int ROWSET_PERMISSION

  See Also:
    Constant Field Values

### REGION_PERMISSION

    public static final int REGION_PERMISSION

  See Also:
    Constant Field Values

### METHOD_PERMISSION

    public static final int METHOD_PERMISSION

  See Also:
    Constant Field Values

### UPDATE_ACTION

    public static final java.lang.String UPDATE_ACTION

  See Also:
    Constant Field Values

### READ_ACTION

    public static final java.lang.String READ_ACTION

  See Also:
    Constant Field Values

### WRITE_ACTION

    public static final java.lang.String WRITE_ACTION

  See Also:
    Constant Field Values

### CREATE_ACTION

    public static final java.lang.String CREATE_ACTION

  See Also:
    Constant Field Values

### DELETE_ACTION

    public static final java.lang.String DELETE_ACTION

  See Also:
    Constant Field Values

### EDIT_ACTION

    public static final java.lang.String EDIT_ACTION

  See Also:
    Constant Field Values

### VIEW_ACTION

    public static final java.lang.String VIEW_ACTION

  See Also:
    Constant Field Values

### INVOKE_ACTION

    public static final java.lang.String INVOKE_ACTION

  See Also:
    Constant Field Values

Constructor Detail

### PermissionHelper

    public PermissionHelper()

Method Detail

### createPermissionInstance

    public static java.lang.Object createPermissionInstance(java.lang.String permClassName,
                                                            java.lang.String target,
                                                            java.lang.String actions)

### hasPermission

    public static boolean hasPermission(oracle.adf.share.security.SecurityContext secCtx,
                                        java.lang.String target,
                                        java.lang.String actions)

### hasPermission

    public static boolean hasPermission(oracle.adf.share.security.SecurityContext secCtx,
                                        java.security.Permission permission)

### getPermissionClassName

    public static java.lang.String getPermissionClassName(int id)

### getReadAction

    public static java.lang.String getReadAction(java.lang.String permClass)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model Java API Reference 10g Release 3 (10.1.3) B25778-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.